> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/retail-media/line-items/supply-search

> Search line items accessible from a supply account and its retailers.



## OpenAPI

````yaml https://api.criteo.com/experimental/retailmedia/open-api-specifications.json post /experimental/retail-media/line-items/supply-search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /experimental/retail-media/line-items/supply-search:
    post:
      tags:
        - Campaign
      summary: /experimental/retail-media/line-items/supply-search
      description: Search line items accessible from a supply account and its retailers.
      operationId: LineItemsSupplySearch
      requestBody:
        description: Search criteria and pagination.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SupplySearchRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineItemListResponseWithPagination'
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    SupplySearchRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SupplySearchResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    LineItemListResponseWithPagination:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LineItemResource'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/Pagination'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata.
    SupplySearchResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SupplySearch'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    LineItemResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/LineItem'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    Pagination:
      type: object
      properties:
        count:
          type: integer
          description: Total number of line items matching the search.
          format: int32
          nullable: true
        limit:
          type: integer
          description: Maximum size of the paginated result set.
          format: int32
          nullable: true
        offset:
          type: integer
          description: Zero based offset for the paginated result set.
          format: int32
          nullable: true
      additionalProperties: false
      description: Pagination of a Line Item search result
      nullable: true
    SupplySearch:
      type: object
      properties:
        campaignIds:
          type: array
          items:
            type: string
          description: Campaign ids to filter line items by.
          nullable: true
        limit:
          type: integer
          description: >-
            Optional result limit. Defaults to the maximum allowed page size
            when omitted.
          format: int32
          nullable: true
        lineItemIds:
          type: array
          items:
            type: string
          description: Line item ids to filter line items by.
          nullable: true
        offset:
          type: integer
          description: Optional result offset.
          format: int32
          nullable: true
        relationship:
          enum:
            - Direct
            - PrivateMarket
            - Network
            - AnyIndirect
          type: string
          description: >-
            Relationship to filter line items by. When omitted, all
            relationships are returned.
          nullable: true
        retailerIds:
          type: array
          items:
            type: string
          description: Retailer ids to search from.
          nullable: true
        supplyAccountId:
          type: string
          description: Supply account id to search from.
          nullable: true
      additionalProperties: false
      description: Request attributes for a Supply Account Line Item search
    LineItem:
      type: object
      properties:
        accountId:
          type: string
          description: The account id of the associated account.
          nullable: true
        buyType:
          enum:
            - Auction
            - PreferredDeals
            - Sponsorship
          type: string
          description: The buy type of the line item.
          nullable: true
        campaignId:
          type: string
          description: The campaign id of the associated campaign.
          nullable: true
        commerceDisplay:
          $ref: '#/components/schemas/CommerceDisplayAttributes'
        conquestingSettings:
          $ref: '#/components/schemas/ConquestingSettings'
        flightDates:
          $ref: '#/components/schemas/FlightDates'
        lineItemId:
          type: string
          description: The id of the line item.
          nullable: true
        lineItemType:
          enum:
            - SponsoredProduct
            - CommerceDisplay
          type: string
          description: The type of the line item.
          nullable: true
        name:
          type: string
          description: The name of the line item.
          nullable: true
        retailerId:
          type: string
          description: The retailer id of the associated retailer.
          nullable: true
        serveToOptOutUser:
          type: boolean
          description: Whether to serve ads to users who have opted out of personalization.
          nullable: true
        sponsoredProducts:
          $ref: '#/components/schemas/SponsoredProductsAttributes'
      additionalProperties: false
      description: Line Item search attributes
      nullable: true
    CommerceDisplayAttributes:
      type: object
      properties:
        auction:
          $ref: '#/components/schemas/CommerceDisplayAuctionAttributes'
      additionalProperties: false
      description: Extended attributes for a Commerce Display Line Item
      nullable: true
    ConquestingSettings:
      type: object
      properties:
        conquestingAdStrategyEnabled:
          type: boolean
          description: >-
            Flag indicating if Conquesting ad strategy is enabled for the line
            item.
          nullable: true
        defensiveAdStrategyEnabled:
          type: boolean
          description: >-
            Flag indicating if Defensive ad strategy is enabled for the line
            item.
          nullable: true
        isAdStrategyLocked:
          type: boolean
          description: "Indicates whether the ad strategy settings (conquesting, neutral, and defensive) are locked\r\nand cannot be modified for this line item. When true, any attempt to update the ad strategy\r\nsettings will be rejected."
          nullable: true
        neutralAdStrategyEnabled:
          type: boolean
          description: Flag indicating if Neutral ad strategy is enabled for the line item.
          nullable: true
      additionalProperties: false
      description: Conquesting Settings
      nullable: true
    FlightDates:
      type: object
      properties:
        endDate:
          type: string
          description: When the line item expires.
          format: date-time
          nullable: true
        startDate:
          type: string
          description: When the line item becomes active.
          format: date-time
          nullable: true
      additionalProperties: false
      description: Flight Dates of a Line Item
      nullable: true
    SponsoredProductsAttributes:
      type: object
      properties:
        auction:
          $ref: '#/components/schemas/SponsoredProductsAuctionAttributes'
      additionalProperties: false
      description: Extended attributes for a Auction Sponsored Products Line Item
      nullable: true
    CommerceDisplayAuctionAttributes:
      type: object
      properties:
        isDynamicMatch:
          type: boolean
          description: Whether dynamic match or automatic SKU filtering is enabled.
          nullable: true
      additionalProperties: false
      description: Extended attributes for a Auction Commerce Display Line Item
      nullable: true
    SponsoredProductsAuctionAttributes:
      type: object
      properties:
        allInventory:
          type: boolean
          description: Whether to target all inventory.
          nullable: true
      additionalProperties: false
      description: Extended attributes for a Auction Sponsored Products Line Item
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````